Subject: Re: bug#15008: 24.3; Sudden crash (quite rare on 24.3 for Windows)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Aug 2013 10:36:23 +0300

> From: "Sebastien Vauban" <[email-masked]>
> Date: Fri, 02 Aug 2013 11:30:48 +0200
> 
> A sudden (quite unexpected crash of Emacs 24.3). Dunno anymore precisely
> which action I was intenting (opening another file?  sthing else?)...
> [...]
> Thread 1 (Thread 7096.0xc10):
> #0  0x75639bfd in KERNELBASE!DebugBreak () from /cygdrive/c/Windows/SYSTEM32/KERNELBASE.dll
> #1  0x01156c53 in emacs_abort () at w32fns.c:7717
> #2  0x0100145d in terminate_due_to_signal (sig=11, backtrace_limit=40) at emacs.c:344
> #3  0x011472bb in handle_fatal_signal (sig=11) at sysdep.c:1638
> #4  0x01147296 in deliver_thread_signal (sig=11, handler=0x11472a2 <handle_fatal_signal>) at sysdep.c:1614
> #5  0x011472ef in deliver_fatal_thread_signal (sig=11) at sysdep.c:1650
> #6  0x010011ea in _gnu_exception_handler@4 ()
> #7  0x7564084e in UnhandledExceptionFilter () from /cygdrive/c/Windows/SYSTEM32/KERNELBASE.dll
> #8  0x008867a4 in ?? ()
> #9  0x775fbf2c in ntdll!RtlCreateUserThread () from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
> #10 0x775dbf0c in ntdll!RtlInitializeExceptionChain () from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
> #11 0x00000000 in ?? ()

Drew reported crashes like this a few times.  Unfortunately, there's
no usable information in the backtrace, all I can say is that this was
some fatal exception that got caught by the top-level exception
handler (_gnu_exception_handler) installed by the MinGW startup code.

If it ever happens again, please show the last keys you typed, they
should be available in the recent_keys Lisp vector, a circular queue,
while 'recent_keys_index - 1' is the index of the last key.  Also,
Vthis_command and Vreal_this_command should tell which command was
being executed at the time of the crash.

I'm closing this bug, because without some additional info, there's
nothing else one could do with it.

Thanks.